/* -*- mode: C; mode: fold; -*- */
/* 
 * Copyright (c) 1995, 1998 Kazuhisa Yoshino (k-yosino@inatori.netsweb.ne.jp)
 * All rights reserved.
 */

#ifndef _JED_KANJI_H
#define _JED_KANJI_H

#include <slkanji.h>


extern unsigned char *
KanjiCodeConv(unsigned char *, int *, int, int, int);

extern int	file_kanjicode_detect;
extern int	is_kanji_filecode(char *);
extern int	is_kanji_jedcode(void);
extern void set_kanji_file_code(int *);
extern void rot_kanji_file_code(void);
extern int get_kanji_file_code(void);
extern void	set_jed_kanjicode(int *);
extern int jed_kanji_getkey(void);

#endif /* _JED_KANJI_H */
